# Account logs

> HTML version: https://zapped.to/api-documentation/users-logs
> Authentication: an API key holding the scope each endpoint lists, sent as `Authorization: Bearer YOUR_API_KEY`. See https://zapped.to/api-documentation/index.md for the base URL, errors and rate limits.

## api_documentation.read_all

### api_documentation.endpoint

`GET https://zapped.to/api/logs/`

### Authentication

An API key with the `logs:read` scope (Read the activity log), sent as `Authorization: Bearer YOUR_API_KEY`.

### api_documentation.example

```bash
curl --request GET \
  --url 'https://zapped.to/api/logs/' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

| api_documentation.parameters | Details | Description |
| --- | --- | --- |
| search | api_documentation.optional, api_documentation.string | api_documentation.filters.search |
| search_by | api_documentation.optional, api_documentation.string | api_documentation.filters.search_by |
| device_type | api_documentation.optional, api_documentation.string | api_documentation.allowed_values |
| continent_code | api_documentation.optional, api_documentation.string | api_documentation.allowed_values |
| country_code | api_documentation.optional, api_documentation.string | api_documentation.allowed_values |
| datetime_field | api_documentation.optional, api_documentation.string | api_documentation.allowed_values |
| datetime_start | api_documentation.optional, api_documentation.string | api_documentation.filters.datetime_start |
| datetime_end | api_documentation.optional, api_documentation.string | api_documentation.filters.datetime_end |
| order_by | api_documentation.optional, api_documentation.string | api_documentation.filters.order_by |
| order_type | api_documentation.optional, api_documentation.string | api_documentation.filters.order_by_type |
| page | api_documentation.optional, api_documentation.int | api_documentation.filters.page |
| results_per_page | api_documentation.optional, api_documentation.int | api_documentation.filters.results_per_page |

### api_documentation.response

```json
{
    "data": [
        {
            "type": "login.success",
            "ip": "127.0.0.1",
            "device_type": "mobile",
            "continent_code": "EU",
            "country_code": "IT",
            "city_name": "Rome",
            "datetime": "2026-09-28 08:03:44"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://zapped.to/api/logs?page=1",
        "last": "https://zapped.to/api/logs?page=1",
        "next": null,
        "prev": null,
        "self": "https://zapped.to/api/logs?page=1"
    }
}
```
